Package weka.core

# Interface EnvironmentHandler

All Known Implementing Classes:
  `AbstractFileLoader`, `AbstractFileSaver`, `ArffLoader`, `ArffSaver`, `C45Loader`, `C45Saver`, `CSVLoader`, `CSVSaver`, `LibSVMLoader`, `LibSVMSaver`, `Loader`, `Saver`, `SerializedInstancesLoader`, `SerializedInstancesSaver`, `SerializedModelSaver`, `SVMLightLoader`, `SVMLightSaver`, `XRFFLoader`, `XRFFSaver`

public interface EnvironmentHandler
Interface for something that can utilize environment variables. NOTE: since environment variables should be transient, the implementer needs to be careful of state after de-serialization. Default system-wide environment variables can be got via a call to `weka.core.Environment.getSystemWide()`

Version:
  $Revision: 5562 $
Author:
  mhall (mhall{[at]}pentaho{[dot]}com)

## Method Summary

Modifier and Type
Method
Description
`void`
`setEnvironment(Environment env)`
Set environment variables to use.

## Method Details

### setEnvironment

void setEnvironment(Environment env)
Set environment variables to use.

Parameters:
  `env` - the environment variables to use